import 'models.dart';

class Profile {
  int? id;
  String? correo;
  String? clave;
  String? nombre;
  String? estatus;
  String? rol;

  Profile(
      {this.id, this.correo, this.clave, this.nombre, this.estatus, this.rol});

  factory Profile.fromJson(Map<String, dynamic> json) {
    return Profile(
      id: Basico.parseInt(json['id']),
      correo: Basico.parseString(json['correo']),
      clave: Basico.parseString(json['clave']),
      nombre: Basico.parseString(json['nombre']),
      estatus: Basico.parseString(json['estatus']),
      rol: Basico.parseString(json['rol']),
    );
  }
}
